#include <stdlib.h>

#include "dte_pronouncer.h"


#if defined(__WIN32__) || defined(_WIN32)
char modelPath[] = "models\\hasball2.dt";
#else
char modelPath[] = "models/hasball2.dt";
#endif


extern void getProbabilities(int p, int s, double *probs);
extern void getUtilities(int p, double *utils);


void makeModel(int modelId)
{
    double values[64];

    getProbabilities(1, 2, values);
    getProbabilities(1, 2, values + 2);
    getProbabilities(12, 4, values + 4);
    getUtilities(12, values + 52);
    setModelValues(modelId, 0, 64, values);
}
