#include <stdlib.h>

#include "netica_pronouncer.h"


#if defined(__WIN32__) || defined(_WIN32)
char modelPath[] = "models\\hasball1.dne";
#else
char modelPath[] = "models/hasball1.dne";
#endif


extern void getProbabilities(int p, int s, double *probs);
extern void getUtilities(int p, double *utils);


void makeModel(int modelId)
{
    int parents[2];
    double values[12];

    parents[0] = 3;
    getProbabilities(3, 4, values);
    setAllProbabilities(modelId, "A", 1, parents, 4, values);
    parents[0] = 3;
    parents[1] = 4;
    getUtilities(12, values);
    setAllUtilities(modelId, "U", 2, parents, values);
}
