#include <stdlib.h>

#include "smile_pronouncer.h"


#if defined(__WIN32__) || defined(_WIN32)
char modelPath[] = "models\\cantsee1.dne";
#else
char modelPath[] = "models/cantsee1.dne";
#endif


extern void getProbabilities(int p, int s, double *probs);
extern void getUtilities(int p, double *utils);


void makeModel(int modelId)
{
    int parents[2];
    double values[4];

    parents[0] = 2;
    getProbabilities(2, 2, values);
    setAllProbabilities(modelId, "A", 1, parents, 2, values);
    parents[0] = 2;
    parents[1] = 2;
    getUtilities(4, values);
    setAllUtilities(modelId, "U", 2, parents, values);
}
